## glib-networking 2.44.0

=== debian/changelog ===
glib-networking (2.44.0-1) experimental; urgency=medium

  * New upstream release 2.44.0

 -- Iain Lane <laney@debian.org>  Mon, 30 Mar 2015 16:50:37 +0100

glib-networking (2.43.92-1) experimental; urgency=medium

  * New upstream release 2.43.92
    + Fix TLS session caching when using session tickets

 -- Iain Lane <laney@debian.org>  Thu, 19 Mar 2015 17:20:45 +0000

glib-networking (2.43.91-1) experimental; urgency=medium

  * New upstream release 2.43.91
    - tls/gnutls: Removed a workaround for connecting to servers with weak DH
      parameters, which was apparently only needed because gnutls was
      prioritizing DHE over RSA.
    - tls/gnutls: We now require gnutls 3.x again. (In fact, 2.42.1 and 2.43.1
      accidentally used a 3.x-only function, so we already required it, we
      were just failing to declare that fact.)
    - tls/tests: Skip certain tests when running against old gnutls or GLib
      releases. (glib-networking 2.43.91 itself does not require GLib 2.43,
      but one of the test cases does.)
  * Drop glib BD back to 2.42 as per configure.ac; the problematic test is
    automatically skipped upstream if necessary now.
  * Increase libgnutls28-dev BD to 3.0, as per configure.ac

 -- Iain Lane <laney@debian.org>  Wed, 04 Mar 2015 12:54:23 +0000

glib-networking (2.43.1-1) experimental; urgency=medium

  * debian/watch: Watch unstable version too, for experimental.
  * New upstream release 2.43.1, including changes:
    + The GTlsClientConnection "use-ssl3" property now falls back to TLS 1.0
      if SSL 3.0 has been disabled, rather than just failing. Also, we now use
      the gnutls %LATEST_RECORD_VERSION option by default (to allow connecting
      to certain servers that were incorrectly patched for the POODLE attack),
      but also make sure to remove that option in the fallback ("use-ssl3")
      mode (to allow connecting to other servers that are differently broken).
    + tls/gnutls: Miscellaneous warning, debugging, and leak fixes.
  * Bump glib BD to 2.43 (greater than configure.ac; one test requires this
    version).
  * Standards-Version → 3.9.6, no changes required.

 -- Iain Lane <laney@debian.org>  Tue, 25 Nov 2014 18:27:15 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: glib-networking
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               cdbs (>= 0.4.93),
               dh-autoreconf,
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.42),
               libgnutls28-dev (>= 3.0),
               libp11-kit-dev (>= 0.8),
               libproxy-dev (>= 0.4),
               gsettings-desktop-schemas-dev,
               ca-certificates,
               intltool (>= 0.41.1-2)
Build-Conflicts: glib-networking
XS-Testsuite: autopkgtest
Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/glib-networking
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
Standards-Version: 3.9.6

Package: glib-networking
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-services (>= ${source:Version}),
         glib-networking-services (<< ${source:Version}.1~),
         glib-networking-common (= ${source:Version}),
         gsettings-desktop-schemas
Breaks: libglib2.0-0 (<< 2.30.1-2)
Description: network-related giomodules for GLib
 This package contains various network related extensions for the GIO 
 library.

Package: glib-networking-services
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-common (= ${source:Version})
Recommends: glib-networking
Breaks: glib-networking (<< 2.30.1-2)
Replaces: glib-networking (<< 2.30.1-2)
Description: network-related giomodules for GLib - D-Bus services
 This package contains D-Bus services that are used by the GIO network
 extensions in glib-networking, for actions that need to be done in a 
 separate process.

Package: glib-networking-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: glib-networking
Breaks: glib-networking (<< 2.30.1-2)
Replaces: glib-networking (<< 2.30.1-2)
Description: network-related giomodules for GLib - data files
 This package contains data files and translations for the GIO network
 extensions in glib-networking.

Package: glib-networking-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (= ${binary:Version})
Description: network-related giomodules for GLib - debugging symbols
 This package contains the debugging symbols for the GIO extensions and 
 D-Bus services in glib-networking.

Package: glib-networking-tests
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (= ${binary:Version}),
         ca-certificates
Description: network-related giomodules for GLib - installed tests
 This package contains test programs, designed to be run as part of a
 regression testsuite.

## glib-networking 2.46.0

=== debian/changelog ===
glib-networking (2.46.0-1ubuntu0.1) wily-security; urgency=medium

  * debian/patches/alt-cert-chains.patch: backport upstream fix to add
    alternate chains support. This will allow the future removal of
    1024-bit RSA keys from the ca-certificates package.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 08 Feb 2016 09:26:21 -0500

glib-networking (2.46.0-1) unstable; urgency=medium

  * New upstream release 2.46.0
    + Various minor cleanups and small memory leak fixes
    + Added a new test case for client certificate chain handling
  * Bump glib BD to ≥ 2.46, as per configure.ac.

 -- Iain Lane <laney@debian.org>  Fri, 25 Sep 2015 17:16:27 +0100

glib-networking (2.45.1-1) experimental; urgency=medium

  * Update Vcs-* for experimental.
  * New upstream release 2.45.1
    + tls/gnutls: Implement g_tls_client_connection_copy_session_state(), to
      allow implementing FTP-over-TLS in gvfs.
  * Bump glib BD to ≥ 2.45.1, as per configure.ac.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 15:47:16 +0100

glib-networking (2.44.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/watch: Update to consider stable releases only.

 -- Iain Lane <laney@debian.org>  Fri, 01 May 2015 11:51:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
                gnome-pkg-tools,
-               libglib2.0-dev (>= 2.42),
+               libglib2.0-dev (>= 2.46.0),
                libgnutls28-dev (>= 3.0),
                libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.4),

## glib-networking 2.48.0

=== debian/changelog ===
glib-networking (2.48.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/01_connection_test.patch to apply without fuzz.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 15:36:21 +0100

glib-networking (2.46.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop the Build-Conflicts against glib-networking, the test-suite passes
    now with that package installed.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 15:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -19,11 +18,9 @@
                gsettings-desktop-schemas-dev,
                ca-certificates,
                intltool (>= 0.41.1-2)
-Build-Conflicts: glib-networking
-XS-Testsuite: autopkgtest
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/unstable/glib-networking
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
-Standards-Version: 3.9.6
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib-networking
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
+Standards-Version: 3.9.7
 
 Package: glib-networking
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# Let's get failing tests' stdout and stderr so we have some information when
# a build fails
export VERBOSE=1
DEB_MAKE_CHECK_TARGET = check

DEB_CONFIGURE_EXTRA_FLAGS += --disable-static \
                             --with-libproxy \
                             --with-gnutls \
                             --with-pkcs11 \
                             --enable-installed-tests \
                             --enable-always-build-tests \

# Don't strip translations from the installed tests; makes them environment dependent.
DEB_DH_TRANSLATIONS_ARGS = -Xinstalled-tests

## glib-networking 2.48.2

=== debian/changelog ===
glib-networking (2.48.2-1~ubuntu16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Failure to validate TLS certificate hostname in
    certain conditions, contrary to documented behaviour
    - debian/patches/CVE-2020-13645.patch: Fail certificate verification
      when the server identity is missing. Based on upstream patch.
    - debian/patches/update-test-certs-for-gnutls.patch: Update the
      certificates used for unit test. Taken from upstream.
    - debian/patches/allow-insecure-md2-cert-in-test.patch: Allow insecure
      md2 certificate to used for one unit test. Taken from upstream.
    - CVE-2020-13645

 -- Alex Murray <alex.murray@canonical.com>  Tue, 23 Jun 2020 16:38:37 +0930

glib-networking (2.48.2-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport from yakkety/unstable to 16.04 (LP: #1581480), with one change
    - Keep the static -dbg package.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 18 May 2016 10:26:06 +0100

glib-networking (2.48.2-1) unstable; urgency=medium

  * New upstream release.
  * Install systemd user service for the glib-pacrunner D-Bus session service.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 23:59:04 +0200

glib-networking (2.48.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop glib-networking-dbg package now that we have automatic dbgsym
    packages.
  * Ensure proper upgrade from glib-networking-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration. Bump Build-Depends on debhelper
    accordingly.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2016 00:49:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 9.20160114),
                cdbs (>= 0.4.93),
                dh-autoreconf,
                gnome-pkg-tools,
@@ -20,7 +21,7 @@
                intltool (>= 0.41.1-2)
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib-networking
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: glib-networking
 Architecture: any

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/glib-networking/([\d\.]+[02468])/ \
	glib-networking-(.*)\.tar\.xz

## glib-networking 2.50.0

=== debian/changelog ===
glib-networking (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump dh compat to 10 (automatic dh-autoreconf).
  * debian/rules: remove '*.la' and use --fail-missing.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:01:51 +0200

glib-networking (2.49.90-1) unstable; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop intltool
  * Convert from cdbs -> dh
  * Add debian/docs to ship NEWS

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 20:41:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,16 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.20160114),
-               cdbs (>= 0.4.93),
-               dh-autoreconf,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.46.0),
                libgnutls28-dev (>= 3.0),
                libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
-               ca-certificates,
-               intltool (>= 0.41.1-2)
+               ca-certificates
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib-networking
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
 Standards-Version: 3.9.8
@@ -62,17 +58,6 @@
  This package contains data files and translations for the GIO network
  extensions in glib-networking.
 
-Package: glib-networking-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         glib-networking (= ${binary:Version})
-Description: network-related giomodules for GLib - debugging symbols
- This package contains the debugging symbols for the GIO extensions and 
- D-Bus services in glib-networking.
-
 Package: glib-networking-tests
 Section: misc
 Architecture: any

## glib-networking 2.54.0

=== debian/changelog ===
glib-networking (2.54.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 14:53:20 -0400

glib-networking (2.53.90-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 12:21:26 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.46.0),
@@ -17,7 +17,7 @@
                ca-certificates
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/glib-networking
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/glib-networking/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: glib-networking
 Architecture: any

## glib-networking 2.56.0

=== meson_options.txt ===
option('libproxy_support', type: 'boolean', value: true, description: 'support for libproxy proxy configration')
option('gnome_proxy_support', type: 'boolean', value: true, description: 'support for GNOME desktop proxy configuration')
option('ca_certificates_path', type: 'string', value: '', description: 'path to system Certificate Authority list')
option('pkcs11_support', type: 'boolean', value: true, description: 'support for PKCS#11 using p11-kit')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed tests')
option('static_modules', type: 'boolean', value: false, description: 'build static modules')

=== debian/changelog ===
glib-networking (2.56.0-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Failure to validate TLS certificate hostname in
    certain conditions, contrary to documented behaviour
    - debian/patches/CVE-2020-13645.patch: Fail certificate verification
      when the server identity is missing. Based on upstream patch.
    - debian/patches/update-test-certs-for-gnutls.patch: Update the
      certificates used for unit test. Taken from upstream.
    - debian/patches/allow-insecure-md2-cert-in-test.patch: Allow insecure
      md2 certificate to used for one unit test. Taken from upstream.
    - CVE-2020-13645

 -- Alex Murray <alex.murray@canonical.com>  Tue, 23 Jun 2020 16:33:53 +0930

glib-networking (2.56.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.1.3 (no changes required)

  [ Jeremy Bicha ]
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 10:14:13 -0400

glib-networking (2.55.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Iain Lane ]
  * Branch to experimental, update debian/{watch,gbp.conf,control{,.in}}
    accordingly.
  * New upstream release 2.55.90
    - Allow static linking
    - Fix issues found by coverity
    - Fix unit tests when SSLv3 is unavailable
    - Fix using different client certs for different connections
    - Implement DTLS support
    - Port to Meson build system
      + debian/rules: Update accordingly.
    - Try to ensure that GnuTLS is only initialized if TLS is actually used
    - Update use of GObject to follow current best practices
    - Use XDG_CURRENT_DESKTOP to determine which proxy module to load
  * debian/patches/01_connection_test.patch: Update for meson, mark as written
    by Emilio (ascertained by changelog mining).
  * debian/control{,.in}: BD on glib 2.55, as required by this version.

 -- Iain Lane <laney@debian.org>  Fri, 16 Feb 2018 16:14:03 +0000

glib-networking (2.54.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:58:23 -0500

glib-networking (2.54.1-1) unstable; urgency=medium

  * New upstream release
  * Switch from dh_install --fail-missing to dh_missing --fail-missing
  * Remove no longer needed Breaks/Replaces
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Nov 2017 00:39:37 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: glib-networking
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10.3),
               meson (>= 0.42),
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.55.0),
               libgnutls28-dev (>= 3.0),
               libp11-kit-dev (>= 0.8),
               libproxy-dev (>= 0.4),
               gsettings-desktop-schemas-dev,
               ca-certificates
Rules-Requires-Root: no
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

Package: glib-networking
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-services (>= ${source:Version}),
         glib-networking-services (<< ${source:Version}.1~),
         glib-networking-common (>= ${source:Version}),
         gsettings-desktop-schemas
Description: network-related giomodules for GLib
 This package contains various network related extensions for the GIO
 library.

Package: glib-networking-services
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-common (>= ${source:Version})
Recommends: glib-networking
Description: network-related giomodules for GLib - D-Bus services
 This package contains D-Bus services that are used by the GIO network
 extensions in glib-networking, for actions that need to be done in a
 separate process.

Package: glib-networking-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: glib-networking
Description: network-related giomodules for GLib - data files
 This package contains data files and translations for the GIO network
 extensions in glib-networking.

Package: glib-networking-tests
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (= ${binary:Version}),
         ca-certificates
Description: network-related giomodules for GLib - installed tests
 This package contains test programs, designed to be run as part of a
 regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/glib-networking/ \
		-Dinstalled_tests=true \
		-Dca_certificates_path=/etc/ssl/certs/ca-certificates.crt

override_dh_strip:
	dh_strip --dbgsym-migration='glib-networking-dbg (<< 2.48.1-1~)'

override_dh_missing:
	dh_missing --fail-missing

# Don't strip translations from the installed tests; makes them environment dependent.
override_dh_translations:
	dh_translations -Xinstalled-tests

## glib-networking 2.58.0

=== debian/changelog ===
glib-networking (2.58.0-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:40:07 -0500

glib-networking (2.58.0-1) unstable; urgency=medium

  * New upstream translation release
  * debian/control{,.in}: Bump Standards-Version to 4.2.1, no changes needed

 -- Iain Lane <laney@debian.org>  Tue, 04 Sep 2018 17:56:38 +0100

glib-networking (2.57.92-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 27 Aug 2018 13:07:11 -0400

glib-networking (2.57.90-1) experimental; urgency=medium

  * debian/*: Update for experimental / 2.57
  * New upstream release 2.57.90 (LP: #1786809)
    - Properly check for server errors in connection tests
    - Perform certificate verification during, not after, TLS handshake
    - Avoid trailing dots in SNI hostnames
    - Send fallback SCSV with fallback connection attempts
    - Fail unsafe rehandshake attempts initiated by API request
    - Fix memory leaks when calling g_tls_connection_gnutls_get_certificate()
    - Use GnuTLS system trust and remove build option to specify cert bundle
    - Fix criticals when child streams outlast the parent GTlsConnection
    - Fix crash when setting client cert without private key
    - Never install GIO modules outside build prefix
    - Don't install test files if installed tests are disabled
    - Fix build with -Dpkcs11=false
    - g_tls_certificate_verify() no longer manually verifies certificate
      activation/expiration time, matching the current behavior of
      g_tls_database_verify_chain().
  * debian/control*:
    - Remove libp11-kit BD - upstream has disabled this by default now.
    - Standards-Version → 4.2.0, no changes required.

 -- Iain Lane <laney@debian.org>  Thu, 16 Aug 2018 10:40:20 +0200

glib-networking (2.56.1-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Standards-Version: 4.1.5 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Jul 2018 20:51:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,18 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10.3),
                meson (>= 0.42),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.55.0),
                libgnutls28-dev (>= 3.0),
-               libp11-kit-dev (>= 0.8),
                libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
 Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome

## glib-networking 2.60.1

=== debian/changelog ===
glib-networking (2.60.1-1) experimental; urgency=medium

  * New upstream release
    - Improve reliability of client auth failure tests
    - Fix excessive CPU usage after sync handshake
  * Cherry-pick patch from upstream to fix tests with gnutls 3.6.7. This now
    returns GNUTLS_E_CERTIFICATE_REQUIRED, which we should convert to
    G_TLS_ERROR_CERTIFICATE_REQUIRED.

 -- Iain Lane <laney@debian.org>  Thu, 04 Apr 2019 11:16:58 +0100

glib-networking (2.60.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Mar 2019 20:14:27 -0400

glib-networking (2.60.0-1) experimental; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Mon, 11 Mar 2019 16:07:50 +0000

glib-networking (2.59.92-1) experimental; urgency=medium

  * New upstream release
    - GnuTLS: reject sync operations during handshake to avoid deadlocks
    - Temporarily disable DTLS and OpenSSL tests due to upstream bugs #49 and
      #54
      + This was already Debian patches, FWIW.
  * debian/patches: Drop. The tests are skipped upstream now.

 -- Iain Lane <laney@debian.org>  Tue, 05 Mar 2019 17:48:35 +0000

glib-networking (2.59.91-1) experimental; urgency=medium

  * New upstream development release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Feb 2019 20:17:45 -0500

glib-networking (2.59.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum meson to 0.47.0
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome
  * debian/rules: Use -Dauto_features=enabled
  * Stop overriding libexecdir

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Feb 2019 20:03:46 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
-               meson (>= 0.42),
-               gnome-pkg-tools,
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
+               meson (>= 0.47.0),
                libglib2.0-dev (>= 2.55.0),
                libgnutls28-dev (>= 3.0),
                libproxy-dev (>= 0.4),

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,12 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/glib-networking/ \
-		-Dinstalled_tests=true \
-		-Dca_certificates_path=/etc/ssl/certs/ca-certificates.crt
+		-Dauto_features=enabled \
+		-Dinstalled_tests=true
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='glib-networking-dbg (<< 2.48.1-1~)'

## glib-networking 2.60.3

=== debian/changelog ===
glib-networking (2.60.3-1~ubuntu19.04.1) disco; urgency=medium

  * No-change backport from experimental / eoan to disco to SRU this
    stable update.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 12 Jun 2019 10:12:46 +0100

glib-networking (2.60.3-1) experimental; urgency=medium

  * New upstream release (LP: #1832458)
    - Fix clobbering of the thread-default main context after certificate
      verification failure during async handshakes since 2.60.1
    - Fix GTlsDatabase initialization failures in OpenSSL backend due to
      uninitialized memory use
    - Fix minor leak of ALPN protocols
    - OpenSSL backend now defaults to system trust store
    - Fix client auth failure error with GnuTLS 3.6.7
  * gnutls-Handle-new-GNUTLS_E_CERTIFICATE_REQUIRED.patch: Drop. It's in this
    upstream release.

 -- Iain Lane <laney@debian.org>  Wed, 12 Jun 2019 09:21:12 +0100

## glib-networking 2.62.1

=== debian/changelog ===
glib-networking (2.62.1-1ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Failure to validate TLS certificate hostname in
    certain conditions, contrary to documented behaviour
    - debian/patches/CVE-2020-13645.patch: Fail certificate verification
      when the server identity is missing. Based on upstream patch.
    - CVE-2020-13645

 -- Alex Murray <alex.murray@canonical.com>  Tue, 23 Jun 2020 16:23:06 +0930

glib-networking (2.62.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 20:35:56 -0400

glib-networking (2.62.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:20:08 +0200

glib-networking (2.62.0-1) experimental; urgency=medium

  * New upstream release
    - Verify socket timeouts are respected
    - Fix a couple broken error messages
  * Standards-Version → 4.4.0 (no changes required)

 -- Iain Lane <laney@debian.org>  Thu, 12 Sep 2019 13:34:40 +0100

glib-networking (2.61.90-1) experimental; urgency=medium

  * New upstream release
    - Fix translations of certain error messages
    - Improve certain handshake error messages
    - Fix regressions introduced in 2.61.1 (LP: #1839826)

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 12:37:52 +0100

glib-networking (2.61.1-1) experimental; urgency=medium

  * New upstream release
  * control: Bump BD on glib2.0 to 2.60.0, per meson.build

 -- Iain Lane <laney@debian.org>  Fri, 05 Jul 2019 18:02:04 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                meson (>= 0.47.0),
-               libglib2.0-dev (>= 2.55.0),
+               libglib2.0-dev (>= 2.60.0),
                libgnutls28-dev (>= 3.0),
                libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
 Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

## glib-networking 2.62.3

=== debian/changelog ===
glib-networking (2.62.3-1) unstable; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Use upstream branch upstream/2.62.x to track stable

  [ Simon McVittie ]
  * d/watch: Only watch for stable versions
  * New upstream release
  * d/tests/installed-tests: Fail on reference to unset variables
  * d/tests/installed-tests: Remove support for old autopkgtest
    versions. AUTOPKGTEST_TMP is now required to be set, and we do not use
    the deprecated ADTTMP.
  * d/copyright: Update

  [ Automatic changes via lintian-brush ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Jan 2020 15:56:45 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
@@ -17,7 +16,7 @@
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
 Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

## glib-networking 2.63.91

=== debian/changelog ===
glib-networking (2.63.91-1ubuntu1) focal; urgency=medium

  * debian/patches/revert_buggy_change.patch:
    - upstream recommended reverting this commit that created issues for
      libsoup tests until they properly fix the issue in the next tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 21:34:57 +0100

glib-networking (2.63.91-1) experimental; urgency=medium

  * New upstream release
    - Fix peer-certificate properties changing too soon
    - GnuTLS backend: reduce session resumption cache lifetime
    - GnuTLS backend: restore TLS 1.2 support for copy session state
  * control: Bump GLib BD to 2.63.0 per upstream

 -- Iain Lane <laney@debian.org>  Mon, 17 Feb 2020 18:31:34 +0000

glib-networking (2.63.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2020 17:03:10 +0100

glib-networking (2.63.3-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
    - d/p/Disable-PKCS-11-client-authentication-test.patch,
      d/p/tls-tests-Fix-to-work-as-installed-tests.patch:
      Drop, applied upstream
  * Merge packaging changes from unstable
  * d/copyright: Further updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jan 2020 11:10:27 +0100

glib-networking (2.63.2-1) experimental; urgency=medium

  * New upstream release
    - Add support for new PKCS#11 APIs to facilitate use with smartcards
    - Build mock PKCS #11 module only for GnuTLS backend
    - Disable TLS 1.0 and TLS 1.1 when using GnuTLS
    - Drop rehandshake mode and protocol version fallback support
    - Fix crash when handshake context is reset too late
    - Fix leak in GTlsCertificateGnutls finalizer
    - Fix PKCS #11 tests with TLS 1.2
    - Require GnuTLS 3.6.5
    - Rework session resumption support for TLS 1.3
    - Run GnuTLS tests under TLS 1.2 in addition to TLS 1.3
    - Support OpenSSL 1.0.1
  * control: Bump gnutls BD to 3.6.5 per meson.build
  * d/p/Disable-PKCS-11-client-authentication-test.patch: Cherry pick. Follow
    upstream in disabling a flaky test
  * d/p/tls-tests-Fix-to-work-as-installed-tests.patch: Fix installed tests. A
    required module wasn't being installed, and the tests weren't written to
    find the files in the correct locations when run installed..

 -- Iain Lane <laney@debian.org>  Fri, 20 Dec 2019 12:29:00 +0000

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                meson (>= 0.47.0),
-               libglib2.0-dev (>= 2.60.0),
-               libgnutls28-dev (>= 3.0),
+               libglib2.0-dev (>= 2.63.0),
+               libgnutls28-dev (>= 3.6.5),
                libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
-Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git
+Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git -b debian/experimental
 
 Package: glib-networking
 Architecture: any

## glib-networking 2.64.1

=== debian/changelog ===
glib-networking (2.64.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Mar 2020 22:40:47 -0400

glib-networking (2.64.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Upload to unstable
    - In particular, this removes a test that asserts we are able to
      work around servers' protocol intolerance by falling back to older
      TLS versions. That feature enables downgrade attacks, and was
      removed in GLib 2.63.2 and glib-networking 2.63.2, causing the
      test to fail in older glib-networking versions. (Closes: #953766)
  * Switch packaging branch back to debian/master for unstable
  * d/watch: Only look for stable releases again
  * Standards-Version: 4.5.0 (no changes required)
  * d/copyright: Remove PKCS11 stuff.
    Its addition was reverted in 2.63.90.

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Mar 2020 09:51:06 +0000

glib-networking (2.63.92-1) experimental; urgency=medium

  * New upstream release
    - Revert "Fix peer-certificate properties changing too soon" from
      2.63.91-1. It broke libsoup2.4's tests.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 28 Feb 2020 16:51:33 +0000

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
-Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git -b debian/experimental
+Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git
 
 Package: glib-networking
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 		-Dauto_features=enabled \
 		-Dinstalled_tests=true
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='glib-networking-dbg (<< 2.48.1-1~)'
-
 override_dh_missing:
 	dh_missing --fail-missing

## glib-networking 2.64.2

=== debian/changelog ===
glib-networking (2.64.2-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Failure to validate TLS certificate hostname in
    certain conditions, contrary to documented behaviour
    - debian/patches/CVE-2020-13645.patch: Fail certificate verification
      when the server identity is missing. Based on upstream patch.
    - CVE-2020-13645

 -- Alex Murray <alex.murray@canonical.com>  Tue, 23 Jun 2020 16:15:45 +0930

glib-networking (2.64.2-1build1) focal; urgency=medium

  * New upstream release, reenable TLS 1.0/1.1 protocols due to COVID-19
    Upload to Ubuntu as build1 revision to include a bug reference
    (lp: #1873777)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Apr 2020 12:17:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,

## glib-networking 2.66.0

=== meson_options.txt ===
# The OpenSSL backend is provided for systems where licensing considerations
# prohibit use of certain dependencies of GnuTLS. General-purpose Linux distros
# should leave it disabled. Please don't second-guess our defaults.
option('gnutls', type: 'feature', value: 'auto', description: 'support for GnuTLS networking configration')
option('openssl', type: 'feature', value: 'disabled', description: 'support for OpenSSL networking configration')
option('libproxy', type: 'feature', value: 'auto', description: 'support for libproxy proxy configration')
option('gnome_proxy', type: 'feature', value: 'auto', description: 'support for GNOME desktop proxy configuration')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed tests')
option('static_modules', type: 'boolean', value: false, description: 'build static modules')

=== debian/changelog ===
glib-networking (2.66.0-2) unstable; urgency=medium

  * Team upload
  * Add Breaks on libsoup2.4-tests that are broken by this version.
    Older libsoup tests constructed a GTlsFileDatabase for /dev/null, which
    only worked because older versions of glib-networking ignored the
    error reported by GNUTLS when doing this. (Closes: #970935)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 16:52:41 +0100

glib-networking (2.66.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - Translation updates
  * d/watch: Only watch for stable versions again
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Sep 2020 09:53:44 +0100

glib-networking (2.65.90-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
    - Fix peer-certificate[-errors] properties being set too soon
    - Various fixes to OpenSSL backend
      (as recommended by upstream, this is not used in Debian)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Aug 2020 14:25:35 +0100

glib-networking (2.64.3-2) unstable; urgency=medium

  * Team upload
  * Add Breaks on balsa versions older than the one fixing CVE-2020-13645,
    to prevent regressions
    - Version 2.6.1-1 is required in Debian, but use 2.6.0-2ubuntu0.1
      to be nice to Ubuntu users. There were no versions between
      2.6.0-2 and 2.6.1-1 in Debian.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Jul 2020 11:51:32 +0100

glib-networking (2.64.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't behave as though server TLS certificate had been verified
      successfully if the application didn't specify the expected identity.
      (CVE-2020-13645, Closes: #961756; the only application known to be
      affected is balsa).
  * Upload to experimental to facilitate testing new balsa versions.
    This version should gain Breaks: balsa (<< fixed version) before
    being released to unstable.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Jul 2020 15:25:22 +0100

glib-networking (2.64.2-1) unstable; urgency=medium

  * New upstream release, reenable TLS 1.0/1.1 protocols due to COVID-19

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Apr 2020 10:27:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
@@ -30,6 +29,8 @@
          glib-networking-services (<< ${source:Version}.1~),
          glib-networking-common (>= ${source:Version}),
          gsettings-desktop-schemas
+Breaks: balsa (<< 2.6.0-2ubuntu0.1),
+        libsoup2.4-tests (<< 2.71.1-1~),
 Description: network-related giomodules for GLib
  This package contains various network related extensions for the GIO
  library.
